Retrieve multiple job objectsAsk AIget https://api.super.ai/v1/apps/{app_id}/jobsUse this endpoint to retrieve the job objects for multiple jobs from a specified project.Path Paramsapp_idstringrequiredThe universal unique identifier (UUID) of the project for which you want to create the job. You can find this in the super.AI dashboard URL of your project.Query Paramspageint32Page number from which you want to start your results. Only use this parameter if you are expecting a huge number of results. Without this parameter, the default is the first page, page 0.sizeint32Number of jobs per page you want to receive. Without this parameter, the default is 250.sortBystringCriteria by which the jobs are sorted. Available options: completed (time of job completion), created (time you submitted the job to super.AI), and status (current job status). Without this parameter, the default sorting method is id.orderBystringOrder in which your jobs are sorted. Available options: asc (ascending) and desc (descending). If you do not set this parameter, results will be in descending order.createdStartDatedateUTC timestamp of the earliest job start date for inclusion in resultscreatedEndDatedateUTC timestamp of the latest job start date for inclusion in resultscompletedStartDatedateUTC timestamp of the earliest job completion date for inclusion in resultscompletedEndDatedateUTC timestamp of the latest job completion date for inclusion in resultsstatusInarray of stringsFilter jobs by current status. Available options: SCHEDULED, IN_PROGRESS, FAILED, SUSPENDED, CANCELED, EXPIRED, and COMPLETED.statusInADD stringcorrectstringFilter jobs by whether an output has been marked as correct or not by a reviewer. Available options: true, false, and null. null means the job output has not yet been reviewed.tagsarray of stringsFilter jobs by tags, which are manually set text tags that allow you to label and group your data points for later referencetagsADD stringnotTagsarray of stringsFilters out jobs having these tags.notTagsADD stringmetadataSearchstringFilter jobs by metadata. Enter the any text that appears within your metadata and only jobs that contain that text string in their metadata will be returned.idSearchstringFilter by a specific ID. This searches job IDs, job UUIDs, and metadata IDs.idGreaterThanint32Filter by the lowest job ID numberidLessThanint32Filter by the highest job ID numberonlyIfFeedbackbooleanFilter by whether jobs have labeler feedback attachedinputPathstringThe path within the input JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the input features an array). E.g., if you want to search an input key named vendor that is nested within a product key, specify it using the format {product.vendor}. Must be used together with inputMatchType and inputValue.inputMatchTypestringThe type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with inputPath and inputValue.inputValuestringThe search term that you are looking for within your input. Must be used together with inputPath and inputMatchType.responsePathstringThe path within the output JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the output features an array). E.g., if you want to search all output values, you can specify this using the format {label.selection.value}. Must be used together with responseMatchType and responseValue.responseMatchTypestringThe type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with responsePath and responseValue.responseValuestringThe search term that you are looking for within your output. Must be used together with responsePath and responseMatchType.HeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesAllowed:application/jsontext/plainResponses 200200 400400 401401 402402 409409 500500Updated 7 months ago